<?php
// file to show the admin settings for os-openspace-maps plugin by jonlynch
do_action ('osmap_before_admin_options');  
if($_POST['osmap_hidden'] == 'Y') {
  $options = get_option('osmap_options');
  // If form data sent
  //check new api key    
  $options->apikey = $_POST['osmap_apikey'];
  $options->default_zoom = $_POST['osmap_default_zoom'];
  $options->default_height = $_POST['osmap_default_height'];
  $options->default_width = $_POST['osmap_default_width'];
  $options->default_color = $_POST['osmap_default_color'];
  $options->res_2500=($_POST['osmap_res_2500'])?true:false;
  $options->res_1000=($_POST['osmap_res_1000'])?true:false;
  $options->res_500=($_POST['osmap_res_500'])?true:false;
  $options->res_200=($_POST['osmap_res_200'])?true:false;
  $options->res_100=($_POST['osmap_res_100'])?true:false;
  $options->res_50=($_POST['osmap_res_50'])?true:false;
  $options->res_25=($_POST['osmap_res_25'])?true:false;
  $options->res_10=($_POST['osmap_res_10'])?true:false;
  $options->res_5=($_POST['osmap_res_5'])?true:false;
  $options->res_4=($_POST['osmap_res_4'])?true:false;
  $options->res_3=($_POST['osmap_res_3'])?true:false;
  $options->res_2=($_POST['osmap_res_2'])?true:false;
  $options->res_1=($_POST['osmap_res_1'])?true:false;
  $options = apply_filters('osmap_read_options', $options);
  $options->version=OSMAPS_VERSION;
  // output a message depending on the state of the api key
  $api_key_state = osmap_api_key_check( $options->apikey );
  if ( 'good' == $api_key_state ) {
    $options->apikey_state = 'good';
    ?>
    <div class="updated"><p><strong><?php _e('Options saved.' ); ?></strong></p></div>
    <?php
  } else if ( 'bad' == $api_key_state ) {
    $options->apikey_state = 'bad';
    ?>
    <div class="error"><p><strong>There appears to be an error with your API key.</strong> OS OpenSpace Maps will not be shown until it is corrected. To get an API key click <a href="https://openspace.ordnancesurvey.co.uk/osmapapi/register.do" title="API key registration">here</a>.</p><p>Further troubleshooting help is available <a href="http://osopenspacewiki.ordnancesurvey.co.uk/wiki/index.php?title=Troubleshooting">here</a>.</p></div>
    <?php
  } else if ( 'none' == $api_key_state ) {
    $options->apikey_state = 'bad';
    ?>
    <div class="error"><p><strong>You have not entered an API key.</strong> OS OpenSpace Maps will not be shown until one is entered. To get an API key click <a href="https://openspace.ordnancesurvey.co.uk/osmapapi/register.do" title="API key registration">here</a>.</p><p>If you are developing on <code>localhost</code> you can enter anything.</p></div>
    <?php
  }
  update_option('osmap_options', $options);   
} else {
  //Normal page display
  $options=get_option('osmap_options');
  $api_key_state = osmap_api_key_check( $options->apikey );
  if ( 'good' == $api_key_state ) {
    $options->apikey_state = 'good';
  } else if ( 'bad' == $api_key_state ) {
    $options->apikey_state = 'bad';
    ?>
    <div class="error"><p><strong>There appears to be an error with your API key.</strong> OS OpenSpace Maps will not be shown until it is corrected. To get an API key click <a href="https://openspace.ordnancesurvey.co.uk/osmapapi/register.do" title="API key registration">here</a>.</p><p>Further troubleshooting help is available <a href="http://osopenspacewiki.ordnancesurvey.co.uk/wiki/index.php?title=Troubleshooting">here</a>.</p></div>
    <?php
  } else if ( 'none' == $api_key_state ) {
    $options->apikey_state = 'bad';
    ?>
    <div class="error"><p><strong>You have not entered an API key.</strong> OS OpenSpace Maps will not be shown until one is entered. To get an API key click <a href="https://openspace.ordnancesurvey.co.uk/osmapapi/register.do" title="API key registration">here</a>.</p><p>If you are developing on <code>localhost</code> you can enter anything.</p></div>
    <?php
  }
}

?>

<div class="wrap">
 
  <?php
    $title = "OS OpenSpace Maps Settings";
    $title = apply_filters( 'osmap_settings_title', $title );
    echo "<h2>" . $title . "</h2>"; ?>
<div style="float:right;margin-left:3em">
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="SGTW6GCCWAD7G">
<input type="image" src="https://www.paypalobjects.com/en_US/GB/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal  The safer, easier way to pay online.">
<img alt="" border="0" src="https://www.paypalobjects.com/en_GB/i/scr/pixel.gif" width="1" height="1">
</form>
</div>
  <form name="osmap_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
    <input type="hidden" name="osmap_hidden" value="Y">
    <?php do_action('osmap_settings_before_form');?>
    <?php    echo "<h4>" . __( 'OpenSpace API Key', 'osmap_trans' ) . "</h4>"; ?>
    <p><?php _e("OpenSpace API Key: " ); ?>
      <input type="text" name="osmap_apikey" value="<?php echo $options->apikey; ?>" size="45">
      <?php _e(' You must register with the Ordinance Survey for an API key <a href="https://openspace.ordnancesurvey.co.uk/osmapapi/register.do">here</a> before using this plugin' ); ?>
    </p>
    <?php    echo "<h4>" . __( 'Map Defaults', 'osmap_trans' ) . "</h4>"; ?>
    <p><?php _e("Default Zoom Level: " ); ?>
      <input type="text" name="osmap_default_zoom" value="<?php echo $options->default_zoom; ?>" size="2">
      <?php _e(" 1 is the top resolution checked below, 4 would be the fourth checked in the list" ); ?>
    </p>
    <p><?php _e("Default Height: " ); ?>
      <input type="text" name="osmap_default_height" value="<?php echo $options->default_height; ?>" size="4">
      <?php _e(" map height in pixels" ); ?>
    </p>
    <p><?php _e("Default Width: " ); ?>
      <input type="text" name="osmap_default_width" value="<?php echo $options->default_width; ?>" size="4">
      <?php _e(" map width in pixels" ); ?>
    </p>
    <p><?php _e("Default Line Colour: " ); ?>
      <input type="text" name="osmap_default_color" value="<?php echo $options->default_color; ?>" size="10">
      <?php _e(" eg red or #ff0000" ); ?>
    </p>
    
    <?php do_action('osmap_settings_before_resolutions');?>
    
    <hr />
    
    <?php    echo "<h4>" . __( 'Map Resolutions', 'osmap_trans' ) . "</h4>"; ?>

    <p><input type="checkbox" name="osmap_res_2500" value="true"<?php if($options->res_2500){ echo 'checked="true"'; }?>><?php _e(" Whole UK" ); ?></p>
    <p><input type="checkbox" name="osmap_res_1000" value="true"<?php if($options->res_1000){ echo 'checked="true"'; }?>><?php _e(" Whole UK zoomed in a bit" ); ?></p>
    <p><input type="checkbox" name="osmap_res_500" value="true"<?php if($options->res_500){ echo 'checked="true"'; }?>><?php _e(" Whole UK zoomed in a bit more" ); ?></p>
    <p><input type="checkbox" name="osmap_res_200" value="true"<?php if($options->res_200){ echo 'checked="true"'; }?>><?php _e(" 1:1M Overview resampled" ); ?></p>
    <p><input type="checkbox" name="osmap_res_100" value="true"<?php if($options->res_100){ echo 'checked="true"'; }?>><?php _e(" 1:1M Overview" ); ?></p>
    <p><input type="checkbox" name="osmap_res_50" value="true"<?php if($options->res_50){ echo 'checked="true"'; }?>><?php _e(" 1:250,000 resampled" ); ?></p>
    <p><input type="checkbox" name="osmap_res_25" value="true"<?php if($options->res_25){ echo 'checked="true"'; }?>><?php _e(" 1:250,000" ); ?></p>
    <p><input type="checkbox" name="osmap_res_10" value="true"<?php if($options->res_10){ echo 'checked="true"'; }?>><?php _e(" 1:50,000 Landranger Resampled" ); ?></p>
    <p><input type="checkbox" name="osmap_res_5" value="true"<?php if($options->res_5){ echo 'checked="true"'; }?>><?php _e(" 1:50,000 Landranger" ); ?></p>
    <p><input type="checkbox" name="osmap_res_4" value="true"<?php if($options->res_4){ echo 'checked="true"'; }?>><?php _e(" 1:25,000 VectorMap District Resampled" ); ?></p>
    <p><input type="checkbox" name="osmap_res_3" value="true"<?php if($options->res_3){ echo 'checked="true"'; }?>><?php _e(" 1:25,000 VectorMap District" ); ?></p>
    <p><input type="checkbox" name="osmap_res_2" value="true"<?php if($options->res_2){ echo 'checked="true"'; }?>><?php _e(" 1:10,000 Street View Resampled" ); ?></p>
    <p><input type="checkbox" name="osmap_res_1" value="true"<?php if($options->res_1){ echo 'checked="true"'; }?>><?php _e(" 1:10,000 Street View" ); ?></p>

        <p class="submit">
        <input type="submit" name="Submit" value="<?php _e('Update Options', 'osmap_trans' ) ?>" />
        </p>
    </form>
</div>